---
title: Work Management Type
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Work Management Type
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Work Management Type

View and configure work item types within Work Management. See the [Work Management page](https://docs.datadoghq.com/incident_response/work_management.md) for more information.

## [Get all work item types →](https://docs.datadoghq.com/api/latest/case-management-type/get-all-case-types.md){% #get-all-case-types %}

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/types |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/types |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/types      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/types      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/types  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/cases/types |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/types     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/types |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/types |

## [Create a work item type →](https://docs.datadoghq.com/api/latest/case-management-type/create-a-case-type.md){% #create-a-case-type %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/cases/types |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/cases/types |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/cases/types      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/cases/types      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/cases/types  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/cases/types |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/cases/types     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/cases/types |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/cases/types |

## [Delete a work item type →](https://docs.datadoghq.com/api/latest/case-management-type/delete-a-case-type.md){% #delete-a-case-type %}

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/cases/types/{case_type_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id} |

## [Update a work item type →](https://docs.datadoghq.com/api/latest/case-management-type/update-a-case-type.md){% #update-a-case-type %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/cases/types/{case_type_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id} |
